"use strict";
/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageSynEnglish = void 0;
const LanguageSyn_1 = require("./LanguageSyn");
const stopwordsEn = require("stopwords-en");
const englishStemmer = require("snowball-stemmer.jsx/dest/english-stemmer.common.js");
class LanguageSynEnglish extends LanguageSyn_1.LanguageSyn {
    constructor() {
        super();
        this.iso2 = 'en';
        this.stemmer = new englishStemmer.EnglishStemmer();
    }
    getStandardStopWords() {
        return stopwordsEn;
    }
}
exports.LanguageSynEnglish = LanguageSynEnglish;
//# sourceMappingURL=LanguageSynEnglish.js.map