"use strict";
/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageSynSpanish = void 0;
const LanguageSyn_1 = require("./LanguageSyn");
const stopwordsEs = require("stopwords-es");
const spanishStemmer = require("snowball-stemmer.jsx/dest/spanish-stemmer.common.js");
class LanguageSynSpanish extends LanguageSyn_1.LanguageSyn {
    constructor() {
        super();
        this.iso2 = 'es';
        this.stemmer = new spanishStemmer.SpanishStemmer();
    }
    getStandardStopWords() {
        return stopwordsEs;
    }
}
exports.LanguageSynSpanish = LanguageSynSpanish;
//# sourceMappingURL=LanguageSynSpanish.js.map