"use strict";
/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildLanguageSyn = exports.getIso2fromLocale = void 0;
const LanguageSynEnglish_1 = require("./LanguageSynEnglish");
const LanguageSynFrench_1 = require("./LanguageSynFrench");
const LanguageSynGerman_1 = require("./LanguageSynGerman");
const LanguageSynItalian_1 = require("./LanguageSynItalian");
const LanguageSynSpanish_1 = require("./LanguageSynSpanish");
const LanguageSynOther_1 = require("./LanguageSynOther");
// duplicate
function getIso2fromLocale(locale) {
    return locale.substring(0, 2);
}
exports.getIso2fromLocale = getIso2fromLocale;
function buildLanguageSyn(iso2) {
    let languageSyn;
    switch (iso2) {
        case 'en':
            languageSyn = new LanguageSynEnglish_1.LanguageSynEnglish();
            break;
        case 'fr':
            languageSyn = new LanguageSynFrench_1.LanguageSynFrench();
            break;
        case 'de':
            languageSyn = new LanguageSynGerman_1.LanguageSynGerman();
            break;
        case 'it':
            languageSyn = new LanguageSynItalian_1.LanguageSynItalian();
            break;
        case 'es':
            languageSyn = new LanguageSynSpanish_1.LanguageSynSpanish();
            break;
        default:
            languageSyn = new LanguageSynOther_1.LanguageSynOther();
            languageSyn.iso2 = iso2;
            break;
    }
    return languageSyn;
}
exports.buildLanguageSyn = buildLanguageSyn;
//# sourceMappingURL=helper.js.map