"use strict";
/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const helper_1 = require("./helper");
function generateStopWordsDoc(dest) {
    const stream = fs.createWriteStream(dest, 'utf-8');
    const languages = ['fr_FR', 'de_DE', 'it_IT', 'en_US', 'es_ES'];
    stream.write(`:page-partial:\n\n`);
    for (let i = 0; i < languages.length; i++) {
        const language = languages[i];
        stream.write(`== ${language}\n\n`);
        const languageSyn = helper_1.buildLanguageSyn(helper_1.getIso2fromLocale(language));
        const stopWords = languageSyn.getStandardStopWords();
        stream.write(stopWords.join(' - '));
        stream.write(`\n\n\n`);
    }
    stream.end();
}
generateStopWordsDoc('../rosaenlg-doc/doc/modules/mixins_ref/pages/stopwords_generated.adoc');
//# sourceMappingURL=stopWordsDoc.js.map